/*
  AnalogReadSerial
  Reads an analog input on pin 0, prints the result to the serial monitor.
  Attach the center pin of a potentiometer to pin A0, and the outside pins to +5V and ground.
 
 This example code is in the public domain.
 */
float ver = 0.1;
int lastVolume=200;
int btnTogle=5;
int btnStop=2;
int btnWifi=3;
int btnNext=6;
int btnPrev=7;
int btnExtra=4;

// the setup routine runs once when you press reset:
void setup() {
  // initialize serial communication at 9600 bits per second:
  pinMode(btnTogle, INPUT);
  pinMode(btnStop, INPUT);
  pinMode(btnWifi, INPUT);
  pinMode(btnNext, INPUT);
  pinMode(btnPrev, INPUT);
  pinMode(btnExtra, INPUT);
  
  
  Serial.begin(9600);
  Serial.print("FP_SIMPLE_");
  Serial.println(ver);
}



// the loop routine runs over and over again forever:
void loop() {
  // read the input on analog pin 0:
  //int sensorValue = analogRead(A0);
  int sensorValue=round(analogRead(A0)/10);
  // print out the value you read:
  if (( sensorValue > (lastVolume+1) || sensorValue < (lastVolume-1)) && lastVolume != 200) {
    lastVolume=sensorValue;
    Serial.print("SET_VOLUME_");
    Serial.print(sensorValue);
    Serial.print('\n');
  } else if (lastVolume == 200) {
    lastVolume=sensorValue;
  }
  
  
  
  if (digitalRead(btnTogle) == HIGH) {       
    Serial.print("TOGGLE");
    Serial.print('\n');
    debouncer(btnTogle);
  } else if (digitalRead(btnStop) == HIGH) {       
    Serial.print("STOP");
    Serial.print('\n');
    debouncer(btnStop);
  } else if (digitalRead(btnWifi) == HIGH) {       
    Serial.print("WIFI");
    Serial.print('\n');
    debouncer(btnWifi);
  } else if (digitalRead(btnNext) == HIGH) {       
    Serial.print("NEXT");
    Serial.print('\n');
    debouncer(btnNext);
  } else if (digitalRead(btnPrev) == HIGH) {       
    Serial.print("PREVIOUS");
    Serial.print('\n');
    debouncer(btnPrev);
  } else if (digitalRead(btnExtra) == HIGH) {       
    Serial.print("EXTRA");
    Serial.print('\n');
    debouncer(btnExtra);
  }
  
  
  
  
  
  
  
  delay(10);        // delay in between reads for stability
}

void debouncer(int button) {
  int value = digitalRead(button);
  while (value == HIGH) {
    value = digitalRead(button);
    //Serial.print('.');
    //Serial.println();
  }
}
